{% extends "base.html" %}
{% load i18n %}

{% load quiz_tags %}
{% load staticfiles %}

{% block title %} {{ quiz.title}} {% endblock %}
{% block description %} {% trans "Exam Results for" %} {{ quiz.title }} {% endblock %}

{% block css %}
    <script src="{% static 'js/plotly-latest.min.js' %}"></script>
{% endblock %}

{% block content %}
  <div class="container">
    <div class="row">
      <div class="col-sm-6">
        <h2><a href="javascript:print('./prueba.pdf')" >Resultados:</a></h2>
          <h3>{{user.first_name}} {{user.last_name}}</h3>
          {% if sitting %}
          <table class="table table-bordered table-striped">
            <thead>
              <tr>
                <th>Prueba</th>
                <th>Correcto</th>
                <th>Incorrecto</th>
                <th>Porcentaje</th>
              </tr>
            </thead>

            <tbody>
              {% for sit in sitting %}
              <tr>
                <td>{{ sit.quiz }}</td>
                <td>{{ sit.get_current_score }}</td>
                <td>{{ sit.get_current_score_incorrect}}</td>
                <td>{{ sit.get_percent_correct }}% </td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
          {% else %}
          <p>No se han realizado las pruebas.</p>
          {% endif %}
          <div class="container">
            <div class="row">
              <div class="col-sm-6 lead">
                <h1> {{ fines|sumList|porcentage:20 }}%  {{fines|sumList|porcentage:20|get_Message}} </h1>
              </div>
            </div>
            <h7>   Has respondido correctamente a  {{ fines|sumList }}  preguntas de 20 posibles.</h7>

          </div>
      </div>
      <div class="col-sm-6">
        <div id="myDiv"><!-- Plotly chart will be drawn inside this DIV --></div>
      </div>
    </div>

    <script>

        var trace1 = {
          //x: ['C. Naturales', 'C. Sociales', 'Lenguaje', 'Matemáticas'],
          x: [ {% for q in quizs %} '{{q.title}}', {% endfor %} ],
          y: {{ fines }},
          name: 'Correcto',
          type: 'bar',
          text: {{ fines }},
          textposition: 'auto',
          marker: {
            //color: 'rgb(20,105,29)',
            color: 'rgb(204,255,204)',
            opacity: 0.6,
            line: {
              color: 'rbg(0,255,0)',
              width: 1.5
            }
          }
        };

        var trace2 = {
          x: [ {% for q in quizs %} '{{q.title}}', {% endfor %} ],
          y: {{ bads }},
          name: 'Incorrecto',
          type: 'bar',
          text: {{ bads }},
          textposition: 'auto',
          marker: {
            color: 'rgb(255,204,204)',
            opacity: 0.6,
            line: {
              color: 'rbg(255,0,0)',
              width: 1.5
            }
          }
        };

        var data = [trace1, trace2];
        var layout = {barmode: 'stack'};

        Plotly.newPlot('myDiv', data, layout);


        var doc = new jsPDF();
        var specialElementHandlers = {
            '#editor': function (element, renderer) {
                return true;
            }
        };

        $('#cmd').click(function () {
            doc.fromHTML($('#content').html(), 15, 15, {
                'width': 170,
                    'elementHandlers': specialElementHandlers
            });
            doc.save('sample-file.pdf');
        });
    </script>

    </div>
    <br><br>
    <h4>A continuación, verás el resultado de tu prueba con su respectiva retroalimentación.</h4>
  <hr>
    {% if sitting %}
        {% for sit in sitting %}
         <br>
         <h2>{{ sit.quiz }}</h2>
         <p class="lead">
             Respondiste correctamente a {{ sit.current_score }} preguntas de {{ sit.get_max_score }}, tienes un porcentaje de {{ sit.current_score|porcentage:sit.get_max_score }}%
         </p>
           {% if sit|get_the_questions %}
               {% for question in sit|get_the_questions %}
                 <p class="lead">
                 {{ question.content }}
                 </p>
                 {% correct_answer_for_all_1 question sit %}
                   {% if question.user_answer %}
                   <p>{% trans "Your answer" %}: {{ question|answer_choice_to_string:question.user_answer }}</p>
                   {% endif %}
                 <p><strong>Explicación:</strong></p>
                 <div class="well " style="background-color: #fcf8e3;">
                 <p>{{ question.explanation|safe }}</p>
                 </div>
                 <hr>
               {% endfor %}
           {% endif %}
        {% endfor %}
    {% endif %}

{% endblock %}
